# TODO

## Features

- [ ] Saving and loading games
- [ ] Character select
- [ ] Stats
- [ ] Better open / closed state graphics for rooms
- [ ] Displaying sprites (characters, objects)
- [ ] Inventory
- [ ] Room labels
- [ ] Background music
- [ ] Sound effects
- [ ] Custom debug console commands

## Bugs

- [x] Console rendering issues
- [ ] DOM tree rendering issues
- [x] Inconsistent text formatting

### Dialogue

- [x] Text formatting
- [ ] Character profiles / speaker ID
- [ ] Scrollable dialogue pane (like Citizen Sleeper / Disco Elysium)

## Code architecture

- [x] Move dialogue- and option-drawing out of `Game.hx`
- [x] Use domkit for dialogue
